HOSTNAME(1)

NUME
hostname - afișează sau stabilește numele de gazdă al sistemului
domainname - afișează sau stabilește numele de domeniu NIS/YP al sistemului
ypdomainname - afișează sau stabilește numele de domeniu NIS/YP al sistemului
nisdomainname - afișează sau stabilește numele de domeniu NIS/YP al sistemului
dnsdomainname - afișează numele de domeniu DNS al sistemului

SINOPSIS
hostname [-a|--alias] [-d|--domain] [-f|--fqdn|--long] [-A|--all-fqdns] [-i|--ip-address] [-I|--all-ip-addresses] [-s|--short] [-y|--yp|--nis]
hostname [-b|--boot] [-F|--file nume-fișier] [nume-gazdă]
hostname [-h|--help] [-V|--version]

domainname [nisdomain] [-F fișier]
ypdomainname [nisdomain] [-F fișier]
nisdomainname [nisdomain] [-F fișier]

dnsdomainname

DESCRIERE
hostname se utilizează pentru a afișa numele DNS al sistemului și pentru a afișa sau a stabili numele de gazdă sau numele de domeniu NIS al acestuia.

  OBȚINEREA NUMELUI
Atunci când este apelat fără argumente, programul afișează numele curente:

hostname va afișa numele sistemului așa cum este returnat de funcția gethostname(2).

domainname va imprima numele de domeniu NIS al sistemului. domainname utilizează funcția gethostname(2), în timp ce ypdomainname și nisdomainname utilizează funcția getdomainname(2).

dnsdomainname va afișa partea de domeniu din FQDN (Fully Qualified Domain Name). FQDN-ul complet al sistemului este returnat cu hostname --fqdn (dar consultați avertismentele din secțiunea FQDN de mai jos).

  STABILIREA NUMELUI
Atunci când sunt apelate cu un singur argument sau cu opțiunea --file, comenzile stabilesc numele de gazdă sau numele de domeniu NIS/YP. hostname utilizează funcția sethostname(2), în timp ce toate cele trei domainname, ypdomainname și nisdomainname utilizează funcția setdomainname(2). Rețineți că acest lucru este eficient numai până la următoarea repornire. Editați fișierul „/etc/hostname” pentru o modificare permanentă.

Rețineți că numai super-utilizatorul poate modifica numele.

Nu este posibilă stabilirea FQDN sau a numelui de domeniu DNS cu ajutorul comenzii dnsdomainname (a se vedea mai jos secțiunea FQDN).

Numele gazdei este de obicei stabilit o singură dată la pornirea sistemului în /etc/init.d/hostname.sh (în mod normal, prin citirea conținutului unui fișier care conține numele gazdei, de exemplu, /etc/hostname).

  FQDN
FQDN (Fully Qualified Domain Name) al sistemului este numele pe care resolver(3) îl returnează pentru numele de gazdă, de exemplu, ursula.example.com. Este de obicei numele de gazdă urmat de numele de domeniu DNS (partea de după primul punct). Puteți verifica FQDN folosind hostname --fqdn sau numele de domeniu folosind dnsdomainname.

Nu puteți modifica FQDN cu hostname sau dnsdomainname.

Metoda recomandată pentru definirea FQDN este de a face ca numele de gazdă să fie un alias pentru numele complet calificat folosind /etc/hosts, DNS sau NIS. De exemplu, dacă numele de gazdă ar fi "ursula", se poate avea o linie în /etc/hosts care să sune astfel

    127.0.1.1 ursula.example.com ursula

Din punct de vedere tehnic: FQDN este numele pe care getaddrinfo(3) îl returnează pentru numele de gazdă returnat de gethostname(2). Numele de domeniu DNS este partea de după primul punct.

Prin urmare, depinde de configurația rezolvatorului (de obicei, în /etc/host.conf) cum o puteți modifica. De obicei, fișierul „hosts” este analizat înainte de DNS sau NIS, așa că cel mai frecvent se modifică FQDN în /etc/hosts.

În cazul în care o mașină are mai multe interfețe/adrese de rețea sau este utilizată într-un mediu mobil, aceasta poate să aibă mai multe FQDN-uri/nume de domeniu sau niciunul. Prin urmare, evitați să utilizați hostname --fqdn, hostname --domain și dnsdomainname. hostname --ip-address se supune acelorași limitări, așa că ar trebui, de asemenea, evitat.

OPȚIUNI

-a, --alias
    Afișează numele alias al gazdei (dacă este utilizat). Această opțiune este depreciată și nu ar trebui să mai fie utilizată.

-A, --all-fqdns
    Afișează toate FQDN-urile mașinii. Această opțiune enumeră toate adresele de rețea configurate pe toate interfețele de rețea configurate și le convertește în nume de domeniu DNS. Adresele care nu pot fi convertite (de exemplu, pentru că nu au o intrare IP inversă corespunzătoare) sunt omise. Rețineți că adrese diferite pot fi rezolvate cu același nume, prin urmare, rezultatul poate conține intrări duplicate. Nu faceți presupuneri cu privire la ordinea de ieșire.

-b, --boot
    Stabilește întotdeauna un nume de gazdă; acest lucru permite ca fișierul specificat de -F să fie inexistent sau gol, caz în care se va utiliza numele de gazdă implicit localhost dacă nu este încă stabilit.

-d, --domain
    Afișează numele domeniului DNS. Nu utilizați comanda domainname pentru a obține numele domeniului DNS, deoarece va afișa numele domeniului NIS și nu numele domeniului DNS. Utilizați în schimb dnsdomainname. Consultați avertismentele din secțiunea FQDN de mai sus și evitați utilizarea acestei opțiuni.

-f, --fqdn, --long
    Afișează FQDN (Fully Qualified Domain Name). Un FQDN este format dintr-un nume scurt de gazdă și numele de domeniu DNS. Cu excepția cazului în care utilizați bind sau NIS pentru căutări de gazde, puteți modifica FQDN și numele de domeniu DNS (care face parte din FQDN) în fișierul /etc/hosts. Consultați avertismentele din secțiunea FQDN de mai sus și folosiți în schimb hostname --all-fqdns ori de câte ori este posibil.

-F, --file nume-fișier
    Citește numele gazdei din fișierul specificat. Comentariile (liniile care încep cu „#”) sunt ignorate.

-i, --ip-address
    Afișează adresa (adresele) de rețea a numelui de gazdă. Rețineți că acest lucru funcționează numai dacă numele gazdei poate fi rezolvat. Evitați utilizarea acestei opțiuni; utilizați în schimb hostname --all-ip-addresses.

-I, --all-ip-addresses
    Afișează toate adresele de rețea ale gazdei. Această opțiune enumeră toate adresele configurate pe toate interfețele de rețea. Interfața „loopback” și adresele IPv6 link-local sunt omise. Spre deosebire de opțiunea -i, această opțiune nu depinde de rezoluția numelui. Nu faceți nicio presupunere cu privire la ordinea ieșirii.

-s, --short
    Afișează numele scurt al gazdei. Acesta este numele gazdei tăiat de la primul punct.

-V, --version
    Afișează informațiile despre versiune la ieșirea standard, apoi iese cu succes.

-y, --yp, --nis
    Afișează numele domeniului NIS. Dacă se dă un parametru (sau --file nume ), atunci root poate, de asemenea, să stabilească un nou domeniu NIS.

-h, --help
    Afișează mesajul de utilizare și iese.

NOTE
Familiile de adrese pe care hostname le încearcă atunci când caută FQDN, numele de alias și adresele de rețea ale gazdei sunt determinate de configurația rezolvatorului dumneavoastră. De exemplu, pe sistemele GNU Libc, rezolvatorul poate fi instruit să încerce mai întâi căutările IPv6 prin utilizarea opțiunii inet6 din /etc/resolv.conf.

FIȘIERE
/etc/hostname Din punct de vedere istoric, acest fișier trebuia să conțină doar numele de gazdă și nu FQDN-ul canonic complet. În prezent, majoritatea programelor informatice sunt capabile să accepte aici un FQDN complet. Acest fișier este citit la pornire de scripturile de inițializare a sistemului pentru a stabili numele de gazdă.

/etc/hosts De obicei, acesta este locul unde se stabilește numele de domeniu prin crearea de alias între numele de gazdă și FQDN.

AUTORI
Peter Tobias, <tobias@et-inf.fho-emden.de>
Bernd Eckenfels, <net-tools@lina.inka.de> (NIS și pagina de manual).
Michael Meskes, <meskes@debian.org>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.